Package org.apache.ignite.marshaller

## Class IgniteMarshallerClassFilter

- java.lang.Object
- - org.apache.ignite.marshaller.IgniteMarshallerClassFilter

All Implemented Interfaces:
  `Serializable`, `IgnitePredicate<String>`

    public class IgniteMarshallerClassFilter
    extends Object
    implements IgnitePredicate<String>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`IgniteMarshallerClassFilter​(ClassSet whiteList, ClassSet blackList)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply​(String s)` Predicate body.
`boolean` `equals​(Object o)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteMarshallerClassFilter

    public IgniteMarshallerClassFilter​(ClassSet whiteList,
                                       ClassSet blackList)

Parameters:
  `whiteList` - Class white list.
  `blackList` - Class black list.

### Method Detail

#### apply

    public boolean apply​(String s)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<String>`
Parameters:
  `s` - Predicate parameter.
Returns:
  Return value.

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`